Skip to main content
GET
/
customers
/
{id}
Get customer
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/customers/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "phone": "<string>",
  "taxNumber": "<string>",
  "addressLine1": "<string>",
  "addressLine2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postalCode": "<string>",
  "country": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required

Response

OK

name
string
required
id
string<uuid>
organisationId
string<uuid>
email
null | string
phone
null | string
taxNumber
null | string
addressLine1
null | string
addressLine2
null | string
city
null | string
state
null | string
postalCode
null | string
country
null | string

ISO 3166-1 alpha-2 country code (e.g. GB, US, DE)

createdAt
string<date-time>
createdBy
null | string<uuid>
updatedAt
string<date-time>
updatedBy
null | string<uuid>